NexUpload Class Reference
Core API

Provides the API for nextion to download the ftf file. More...

`#include <NexUpload.h>`

## Public Member Functions

| NexUpload (const char *file_name, const uint8_t SD_chip_select, uint32_t download_baudrate)
| Constructor. More...
| NexUpload (const String file_Name, const uint8_t SD_chip_select, uint32_t download_baudrate)
| Constructor. More...
| ~NexUpload ()
| destructor.

## Detailed Description

Provides the API for nextion to download the ftf file.

Definition at line 32 of file NexUpload.h.

## Constructor & Destructor Documentation

NexUpload::NexUpload | ( | const char * | file_name,
|  | const uint8_t | SD_chip_select,
|  | uint32_t | download_baudrate
| ) |  |

Constructor.

Parameters

  file_name | - tft file name.
  SD_chip_select | - sd chip select pin.
  download_baudrate | - set download baudrate.

Definition at line 35 of file NexUpload.cpp.

NexUpload::NexUpload | ( | const String | file_Name,
|  | const uint8_t | SD_chip_select,
|  | uint32_t | download_baudrate
| ) |  |

Constructor.

Parameters

  file_Name | - tft file name.
  SD_chip_select | - sd chip select pin.
  download_baudrate | - set download baudrate.

Definition at line 42 of file NexUpload.cpp.

The documentation for this class was generated from the following files:

- NexUpload.h
- NexUpload.cpp